Resolvendo problema com VLC no Debian Lenny

Publicado por Zero One em 24/05/2010

[ Hits: 5.323 ]

 


Resolvendo problema com VLC no Debian Lenny



Alguns usuários do Debian Lenny têm problemas com a execução de alguns formatos de vídeo pelo VLC: isso ocorre quando é adicionado o repositório multimedia e feito o upgrade do sistema.

Este upgrade faz com que os pacotes libavcodec51 e libavformat52 sejam atualizados. Como o VLC no Debian Lenny está em uma versão antiga, alguns codecs param de funcionar quando esses dois pacotes são atualizados, não gerando a imagem dos vídeos.

Há um modo de "resolver" isso, porém alguns programas que utilizam os pacotes libavcodec51 e libavformat52 na versão atualizada não irão funcionar mais (alguns serão até removidos). Cabe a você escolher quais programas deseja manter funcionando.

Primeiro remova o VLC por completo e os pacotes mencionados. Acesse Aplicativos > Acessórios > Terminal:

su
# aptitude remove vlc libavcodec51 libavformat52


Em seguida reinstale os pacotes libavcodec51 e libavformat52 na versão de antes do upgrade com o repositório multimedia:

# apt-get install --reinstall libavcodec51=0.svn20080206-18 libavformat52=0.svn20080206-18

Agora reinstale o VLC:

# apt-get install vlc

Por enquanto foi a única "solução" que encontrei para fazer com que o VLC volte a funcionar normalmente.

Outras dicas deste autor
Nenhuma dica encontrada.
Leitura recomendada

Exemplos prático para VirtualBox em modo console

Resolvendo dependências no Sbopkg

Cadê o apt-setup do Etch? E agora?

Instalando o KDE 3.5.2 no Kurumin

Configuração do Squid via modo gráfico

  

Comentários
[1] Comentário enviado por marcusarenas em 25/07/2010 - 11:48h

Acho que as libs são antigas.. olha o erro abaixo:

wksarenaz:/home/marcusp# apt-get install --reinstall libavcodec51=0.svn20080206-18 libavformat52=0.svn20080206-18
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Version '0.svn20080206-18' for 'libavcodec51' was not found

Coloquei elas sem as extensões:


wksarenaz:/home/marcusp# apt-get install --reinstall libavcodec51 libavformat52
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
libpostproc51
Use 'apt-get autoremove' to remove them.
The following NEW packages will be installed:
libavcodec51 libavformat52
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/4090kB of archives.
After this operation, 9507kB of additional disk space will be used.
Selecting previously deselected package libavcodec51.
(Reading database ... 81260 files and directories currently installed.)
Unpacking libavcodec51 (from .../libavcodec51_3%3a20080706-0.3lenny1_i386.deb) ...
Selecting previously deselected package libavformat52.
Unpacking libavformat52 (from .../libavformat52_3%3a20080706-0.3lenny1_i386.deb) ...
Setting up libavcodec51 (3:20080706-0.3lenny1) ...
Setting up libavformat52 (3:20080706-0.3lenny1) ...

Instalei o VLC em seguida, mas continua o mesmo problema, sai o som mas o video não é exibido..(Independente do formato )




Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts